[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# UnicodeCharLenToString

Convert a memory buffer with unicode characters to an ansistring

## Declaration

Source position: ustringh.inc line 42

`function UnicodeCharLenToString(`
`S: PUnicodeChar;`
`Len: SizeInt`
`):AnsiString;`

## Description

UnicodeCharLenToString converts the unicode characters in buffer S with at most len bytes length, to an ansistring and returns the result.

This function requires the use of a widestring manager.

## Errors

No checking is done to see if the pointer S or length len are valid.

## See also

StringToUnicodeChar |  | Convert an ansistring to a null-terminated array of unicode characters.
UnicodeCharToString |  | Convert unicode character to string

Documentation generated on: Feb 26 2014